Bug 892148 (CVE-2013-0758)

Summary: CVE-2013-0758 Mozilla: Chrome Object Wrapper (COW) bypass through plugin objects (MFSA 2013-15)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: gecko-bugs-nobody, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20130108,reported=20130105,source=mozilla,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/firefox=affected,rhel-6/firefox=affected,rhel-5/thunderbird=affected,rhel-6/thunderbird=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-12 12:06:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 890133    

Description Huzaifa S. Sidhpurwala 2013-01-05 08:39:04 EST
Security researcher Mariusz Mlynski reported that it is possible to bypass Chrome Object Wrappers (COW) and open a chrome privileged web page through plugin objects. This could allow for arbitrary code execution.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products. 


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-15.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Mariusz Mlynski as the original reporter.
Comment 1 errata-xmlrpc 2013-01-08 16:17:23 EST
This issue has been addressed in following products:

   Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0145 https://rhn.redhat.com/errata/RHSA-2013-0145.html
Comment 2 errata-xmlrpc 2013-01-08 16:39:12 EST
This issue has been addressed in following products:

   Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0144 https://rhn.redhat.com/errata/RHSA-2013-0144.html